/* $Id: util.h,v 1.3 2001/05/24 14:53:59 malekith Exp $ */

#ifndef YTK_UTIL_H
#define YTK_UTIL_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* general utilites */
void ytk_fatal(const char *fmt, ...);
void ytk_fatal_v(const char *fmt, va_list ap);

void ytk_draw(YtkObject *);

/* resp should return 0 if event was handled, -1 otherwise */
typedef int (*YtkResponder)(void *userdata, 
			    const char *event_name,
			    YwWord *arg);
			    
YtkObject *ytk_responder(void *data, YtkResponder resp_fnc); 

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* YTK_UTIL_H */
